- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 41570d0c-5402-4985-9666-8692a3f5c8e7
    creation_time: 2023-02-17T12:11:11.658755Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 19
    column: 0
    function: main
  loop_invariant:
    string: x <= 0x0fffffff
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 56c99a4f-f783-4538-b512-1d3308fae3e2
    creation_time: 2023-02-17T12:11:11.658950Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 22
    column: 0
    function: main
  loop_invariant:
    string: x < 0x0fffffff && y <= 0x0fffffff
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 70fadf4b-e7c3-4dae-a396-0f5ac10c28ac
    creation_time: 2023-02-17T12:11:11.659054Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 24
    column: 0
    function: main
  loop_invariant:
    string: x < 0x0fffffff && y < 0x0fffffff && z <= 0x0fffffff
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 83562688-7dce-4a85-8423-b2c2d04968b7
    creation_time: 2023-02-17T12:11:11.659237Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 27
    column: 0
    function: main
  location_invariant:
    string: z%4!=0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bd712420-a436-4f92-9ede-35c3a2949177
    creation_time: 2023-02-17T12:11:11.659321Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 30
    column: 0
    function: main
  location_invariant:
    string: y%2!=0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c6db4ff6-43e6-488a-ba43-0cf56b18886e
    creation_time: 2023-02-17T12:11:11.659404Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/nested3-1.c
      input_file_hashes:
        c/loops-crafted-1/nested3-1.c: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/nested3-1.c
    file_hash: ed8e064f31e82b4c33cb383334d25637eef982ae8d5b8603579b97c7fdfe808e
    line: 34
    column: 0
    function: main
  location_invariant:
    string: x%2!=0
    type: assertion
    format: C

